Bug 103782 - man page for vmstat doesn't explain "wa" column
Summary: man page for vmstat doesn't explain "wa" column
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: procps   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-04 21:20 UTC by Ben Woodard
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-11 13:39:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Woodard 2003-09-04 21:20:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When you do a man vmstat it doesn't explain the "wa" column.

Version-Release number of selected component (if applicable):
procps-2.0.13-3E

How reproducible:
Always

Steps to Reproduce:
1. man vmstat
2.
3.
    

Actual Results:  ...
CPU
       These are percentages of total CPU time.
       us: user time
       sy: system time
       id: idle time
 


Expected Results:  ...   
CPU
       These are percentages of total CPU time.
       us: user time
       sy: system time
       id: idle time
       wa: <something here>

Additional info:

  The wa column doesn't exist in RHL9

Comment 1 Ben Woodard 2003-12-09 23:03:24 UTC
This also applies to RHEL3 GA and RHL9.

Comment 2 Need Real Name 2003-12-23 20:48:01 UTC

$ rpm -qf /usr/bin/vmstat
procps-2.0.13-9.2E


$ vmstat 2 2
procs                      memory      swap          io     
system         cpu
 r  b   swpd   free   buff  cache   si   so    bi    bo   in    cs us 
sy id wa
 2  0  11064  43608 126412 6265372    1    3     1     4    1     3  
4  1  2  0
 1  0  11064  43608 126412 6265372    0    0     0   126  156    26 
50  0 49  0


According to man page the last column is supposed to be CPU idle (id).


In the previous versions for example procps-2.0.7-11 the output looks 
as follows which is correct.


   procs                      memory    swap          io     system  
cpu
 r  b  w   swpd   free   buff  cache  si  so    bi    bo   in    cs  
us sy  id
 0  0  0    116 1088724 135372 2452512   0   0     0     0    2     
1   1   0   1
 0  0  0    116 1088724 135372 2452512   0   0     0    38  564    
49   0   0 100

Please correct this to be same as previous versions.

I was told by Rob Love <rml@ximian.com> that 

This is "fixed" in the current procps CVS and in the procps currently 
in Fedora.  So Red Hat just needs to upgrade the package in RHEL3.


Thanks,
Pethuraj@synopsys.com


Comment 3 Need Real Name 2003-12-23 20:56:33 UTC
I would highly appreciate it if i am notified about how to download 
once the new rpms available for i686, x86_64 and ia64.

Comment 4 Daniel Walsh 2004-02-11 13:39:57 UTC
Fixed in Current Release 3.1.15


Note You need to log in before you can comment on or make changes to this bug.